<?php

$ADEI_RELEASE = false;

$TITLE = "";

$READER_DB_DETECTOR = array(
	"detector" => array (
	    "title" => _("Detector"),
	    "reader" => "ZEUSController",
	    "driver" => "odbc",
	    "sqldrv" => "mssql",
	    "subdrv" => "FreeTDS",
            "host" => "192.168.110.66",
	    "database" => array ("katrin"),
	    "port" => 1433,
	    "user" => 'souren',
	    "password" => '$souren$',
	    "multibase" => false,
	    "timeout" => 200000,
	    "ping" => true,
	    "control_host" => "192.168.110.66",
	    "control_port" => 12345
//	    "disconnected" => true
	),
	"aircoils" => array (
	    "title" => _("Air Coils"),
	    "reader" => "ZEUSController",
	    "driver" => "odbc",
	    "sqldrv" => "mssql",
	    "subdrv" => "FreeTDS",
            "host" => "192.168.110.121",
	    "port" => 1433,
	    "user" => 'souren',
	    "password" => '$souren$',
	    "database" => array ("aircoils"),
	    "timeout" => 200000,
	    "ping" => true,
	    "control_host" => "192.168.110.65",
	    "control_port" => 12345
//	    "disconnected" => true
	),
	"monitorspec" => array (
	    "title" => _("Monitor Spectrometer"),
	    "reader" => "ZEUSController",
	    "driver" => "odbc",
	    "sqldrv" => "mssql",
	    "subdrv" => "FreeTDS",
            "host" => "192.168.110.89",
	    "database" => array ("monitorspec"),
	    "port" => 1433,
	    "user" => 'souren',
	    "password" => '$souren$',
	    "multibase" => false,
	    "timeout" => 200000,
	    "ping" => true,
	    "control_host" => "192.168.110.89",
	    "control_port" => 12345
//	    "disconnected" => true
	),
        "orca" => array (
            "title" => _("ORCA Process"),
            "reader" => "IPEReader",
            "driver" => "mysql",
            "host" => "127.0.0.1",
            "port" => 3306,
            "user" => "root",
            "password" => "",
            "database" => array("orca_process"),
            "charset" => "ISO8859-1",
            "timeout" => 200000,        // us
//          "ping" => true,             // host and port should be specified
//          "disconnected" => true
        )
);



if (is_array($READER_DB)) $READER_DB = array_merge($READER_DB_DETECTOR, $READER_DB);
else $READER_DB = $READER_DB_DETECTOR;

$OPTIONS["detector"] = array(
	    "lclb_is_varchar" => true,
	    "date_limit" => "2008-08-15 00:00:00",              //GMT
	    "optimize_empty_cache" => true,
//	    "graph_interpolate" => false,
	    "maximal_allowed_gap" => 120,
	    "ignore_invalid_data" => true,
//	    "fill_raw_first" => true,
	    "overcome_reader_faults" => true,  // Use CACHE if connection to reader is failed 
	    "use_cache_timewindow" => true,
	    "timestamp_channels" => true,	// Groups is prefixed with two channels with accquisition timestamps (may give a number)
	    "alarm_severity" => 0,
	    "channel_uids" => "/^5\d\d[\-_]/",
	    "axis" => array(
		"/^522-RTP/i" => "temperature",
		"/^522-RP[PV]/i" => "vacuum"
            )
);

$OPTIONS["aircoils"] = array(
	    "timestamp_channels" => true,	// Groups is prefixed with two channels with accquisition timestamps (may give a number)
	    "date_limit" => "2008-04-21 12:00:00",              //GMT
	    "optimize_empty_cache" => true,
//	    "graph_interpolate" => false,
	    "maximal_allowed_gap" => 120,
	    "ignore_invalid_data" => true,
//	    "fill_raw_first" => true,
	    "channel_uids" => "/^4\d\d[\-_]/",
	    "axis" => array(
		"/^412-RTP/i" => "temperature"
	    )
);

/*
$ADEI_AXES = array_merge($ADEI_AXES, array(
	"T" => array(
	    "axis_units" => _("C"),
	    "axis_name" => _("Temperature - ak"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	)
);
*/

$AXIS_DEFS = array(
	"/\(C\)/"   => "temperature",
	"/\(nA\)/"  => "current_nano",
	"/\(#\)/"    => "number",
	"/\(V\)/"    => "voltage"
);

$OPTIONS["orca"] = array(
            "groups" => array(
                "/^(.*)$/" => '${1}',
            ),
            "tables" => array(
                "/^(Data_0[\w\d_]+)$/" => array(
                    'gid' => '${1}',
                    'title' => '${1}'
                )
            ),
            "columns" => array(
                "time" => "sec",
               "data" => "/^\d+/" 
	    ),
            "timesort" => 1,                                    // 0 - NATURAL, 1 - ASC, -1 - DESC, string whith request
//            "time_module" => "USECTICKS",
            "time_format" => "U",
            "min_resolution" => 10,
            "ignore_subseconds" => true,
            "optimize_empty_cache" => true,
            "use_cache_timewindow" => true,
//          "use_cache_reader" => true,
            "use_md5_postfix" => true,
	    "axis" => $AXIS_DEFS,
//            "axes_table" => array(
//                "table" => "Axislist",
//                "id" => "id",
//                "properties" => array(
//                    "axis_name" => "comment",
//                    "axis_units" => "unit"
//                )
//            ),
            "item_table" => array(
                "table" => "Sensorlist",
                "id" => "name",
                //"gid" => "group",
                "properties" => array(
		    "uid" => "comment",
                    "name" => "comment",
                    //"axis" => "axis"
                )
            ),
	    "data_filters" => array(
		"BADVALUEFilter" => array (
		    "badvalue" => -50
		)
	    )
);


?>
