<?php

$ADEI_RELEASE = false;

$TITLE = "";

if (file_exists("/opt/katrin/etc/kdbserver.conf")) {
    $MODULES = array("alarms", "katrin", "download", "infopage", "graph", "wiki");
    $CONTROLS = array("export", "aggregator", "searchtab", false, "virtual", "filter"); // false/null indicates line break
    $CONTROLS = array("infotab", "searchtab", "filter", false, "export", "aggregator", "plot", false, "virtual"); // false/null indicates line break
} else {
    $MODULES = array("alarms", "download", "infopage", "graph", "wiki");
    $CONTROLS = array("infotab", "searchtab", "virtual", false, "export", "aggregator", "plot"); // false/null indicates line break
}

$ADEI_AXES = array_merge($ADEI_AXES, array(
	"heatrate" => array(
	    "axis_units" => _("C/min"),
	    "axis_name" => _("Heat-rate"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	),
));


$READER_DB_KATRIN = array(
        "fpd" => array (
            "title" => _("520  Focal Plane Detector"),
            "reader" => "KATRINZEUSReader",
            "driver" => "odbc",
            "sqldrv" => "mssql",
            "subdrv" => "FreeTDS",
            "host" => "ipepdvmssqldb1.ka.fzk.de",
            "database" => array ("katrin_rep", "katrin_us"),
            "charset" => "ISO8859-1",
            "port" => 1433,
            "user" => 'souren',
            "password" => '$souren$',
            "multibase" => false,
            "timeout" => 500000,
            "ping" => true,
        ),
        "orca" => array (
            "title" => _("520 Focal Plane Detector/ORCA"),
            "reader" => "IPEReader",
            "driver" => "mysql",
            "host" => "127.0.0.1",
            "port" => 3306,
            "user" => "root",
            "password" => "",
            "database" => array("orca_process"),
            "charset" => "ISO8859-1",
            "timeout" => 200000,        // us
//          "ping" => true,             // host and port should be specified
//          "disconnected" => true
        ),
	"aircoils" => array (
	    "title" => _("433  Air Coils"),
	    "reader" => "KATRINZEUSReader",
	    "driver" => "odbc",
	    "sqldrv" => "mssql",
	    "subdrv" => "FreeTDS",
            "host" => "ipepdvmssqldb1.ka.fzk.de",
	    "port" => 1433,
	    "user" => 'souren',
	    "password" => '$souren$',
	    "database" => array ("aircoils_rep"),
	    "timeout" => 500000,
	    "ping" => true,
	),
	"temp0" => array(
            "title" => _("435  Temperatures"),
            "reader" => "DBReader",
            "driver" => "odbc",
            "sqldrv" => "mssql",
            "subdrv" => "FreeTDS",
            "host" => "ikkatrinmssql3.ka.fzk.de",
            "port" => 1433,
	    "database" => array ("BakeOut2013"),
            "charset" => "ISO8859-1",
            "user" => 'souren',
            "password" => '$souren$',
            "multibase" => false,
            "timeout" => 500000,
            "ping" => true
       ),
	"magnetometer0" => array(
            "title" => _("433  Magnetometer"),
            "reader" => "DBReader",
            "driver" => "odbc",
            "sqldrv" => "mssql",
            "subdrv" => "FreeTDS",
            "host" => "ikkatrinmssql3.ka.fzk.de",
            "port" => 1433,
	    "database" => array ("dbMagnet-archive_rep", "dbMagnet-archive_rep.20120123"),
            "user" => 'souren',
            "password" => '$souren$',
            "multibase" => false,
            "timeout" => 500000,
            "ping" => true,
       ),
	"hv" => array (
	    "title" => _("436  High Voltage"),
	    "reader" => "KATRINZEUSReader",
	    "driver" => "odbc",
	    "sqldrv" => "mssql",
	    "subdrv" => "FreeTDS",
            "host" => "ipepdvmssqldb1.ka.fzk.de",
	    "port" => 1433,
	    "user" => 'souren',
	    "password" => '$souren$',
	    "database" => array ("katrin-hv_rep"),
	    "charset" => "ISO8859-1",
	    "timeout" => 500000,
	    "ping" => true,
	),
	"mos" => array (
	    "title" => _("440  Monitor Spectrometer / ZEUS"),
	    "reader" => "KATRINZEUSReader",
	    "driver" => "odbc",
	    "sqldrv" => "mssql",
	    "subdrv" => "FreeTDS",
            "host" => "ipepdvmssqldb1.ka.fzk.de",
	    "port" => 1433,
	    "user" => 'souren',
	    "password" => '$souren$',
	    "database" => array ("Monitorspeczeus_rep"),
	    "timeout" => 500000,
	    "ping" => true,
	),
	"mos0" => array(
	    "title" => _("440  Monitor Spectrometer / OPC"),
	    "reader" => "DBReader",
            "driver" => "odbc",
            "sqldrv" => "mssql",
            "subdrv" => "FreeTDS",
            "host" => "ikkatrinmssql3.ka.fzk.de",
            "port" => 1433,
	    "database" => array ("MonitorSpec_rep"),
	    "user" => 'souren',
	    "password" => '$souren$',
	    "multibase" => false,
	    "timeout" => 500000,
	    "ping" => true,
       ),
	"cs0" => array(
            "title" => _("800  Control System"),
            "reader" => "DBReader",
            "driver" => "odbc",
            "sqldrv" => "mssql",
            "subdrv" => "FreeTDS",
            "host" => "ikkatrinmssql3.ka.fzk.de",
            "port" => 1433,
	    "database" => array ("ControlSystem_rep", "ControlSystem_rep.20121030", "ControlSystem_rep.20120925", "ControlSystem_rep.20120711", "ControlSystem_rep.20120207"),
            "user" => 'souren',
            "password" => '$souren$',
            "multibase" => false,
            "timeout" => 500000,
            "ping" => true,
       ),
	"tc" => array (
	    "title" => _("451  Test Cylinder"),
	    "reader" => "ZEUS",
	    "driver" => "odbc",
	    "sqldrv" => "mssql",
	    "subdrv" => "FreeTDS",
            "host" => "ipepdvmssqldb1.ka.fzk.de",
	    "port" => 1433,
	    "user" => 'souren',
	    "password" => '$souren$',
	    "database" => array ("testcylinder"),
	    "timeout" => 500000,
	    "ping" => true,
	),
        "pse" => array (
            "title" => _("410  PreSpectrometer"),
            "reader" => "ZEUS",
            "driver" => "mysql",
            "host" => "localhost",
            "port" => 0,
            "user" => 'adei',
            "password" => 'adei',
            "database" => array ("katrinpse"),
            "timeout" => 200000,
            "multibase" => true
        ),
        "vessel_test" => array (
            "title" => _("430  Vessel Commisioning"),
            "reader" => "ZEUS",
            "driver" => "mysql",
            "host" => "localhost",
            "port" => 0,
            "user" => "adei",
            "password" => "adei",
            "database" => array ("katrinvessel"),
        )
);

/*
if ($ADEI_SETUP == "katrin") {
    $READER_DB_KATRIN["kdb"] = array(
        "title" => _("KATRIN Database"),
        "reader" => "KATRINreader",
        "database" => array ("Pre Spectrometer")
    );
}
*/


if (is_array($READER_DB)) $READER_DB = array_merge($READER_DB_KATRIN, $READER_DB);
else $READER_DB = $READER_DB_KATRIN;


// This is ZEUS7 sources


$OPTIONS_ZEUS7 = array(
	    "optimize_empty_cache" => true,
	    "maximal_allowed_gap" => 120,
	    "ignore_invalid_data" => true
);

$OPTIONS["pse"] = array_merge($OPTIONS_ZEUS7, array(
));

$OPTIONS["vessel_test"] = array_merge($OPTIONS_ZEUS7, array(
	    "date_limit" => array("2007-07-01 00:00:00",  "2007-09-21 00:00:00"),
	    "channel_uids" => "/^DAT_/",
));

// This is ZEUS8 sources
$OPTIONS_ZEUS = array(
	    "maximal_allowed_gap" => 120,
	    "ignore_invalid_data" => true,
	    "optimize_empty_cache" => true,
	    "use_md5_postfix" => false,
	    "date_limit" => "2008-04-21 12:00:00",              //GMT
	    "channel_uids" => "/^[45]\d\d[\-_]/",
	    "axis" => array(
		"/^412-RTP/i" => "temperature",
		"/^522-RTP/i" => "temperature",
		"/^522-RP[PV]/i" => "pressure/milli"
	    )
);

$OPTIONS["pse__katrinpse"] = array_merge($OPTIONS_ZEUS, array(
));

$OPTIONS["aircoils"] = array_merge($OPTIONS_ZEUS, array(
));

$OPTIONS["mos"] = array_merge($OPTIONS_ZEUS, array(
));

$OPTIONS["hv"] = array_merge($OPTIONS_ZEUS, array(
	"date_limit" => "2012-09-01 00:00:00",              //GMT
));

$OPTIONS["tc"] = array_merge($OPTIONS_ZEUS, array(
));

$OPTIONS["fpd"] = array_merge($OPTIONS_ZEUS, array(
	    "alarm_severity" => 0
));

// This is DBReader sources

$MAGNET_AXIS_DEFS = array(
        "/\(C\)/" 	=> "Temperature (C)",
        "/\(uT\)/"  	=> "Magnetic field (uT)",
        "/\(-\)/"    	=> "Status/error flag (-)",
        "/\(V\)/"    	=> "Voltage (V)"
);

$OPTIONS_DB = array(
//    "timezone" => "Europe/Berlin",
    "time_module" => "MSTICKS",
    "timesort" => 1,
    "min_resolution" => 10,
    "ignore_subseconds" => false,
    "optimize_empty_cache" => true,
    "use_cache_timewindow" => true,
    "use_md5_postfix" => true,
    "channel_uids" => true,
    "date_limit" => "2009-09-09 00:00:00",
    "tables" => array(
	"/^Wv\\\$LiveData\\\$(.*)$/" => array(
	    'gid' => '${1}',
	    'title' => '${1}'
	)
    ),
    "groups" => array(
	"/^(.*)$/" => '[Wv$LiveData\$${1}]'
    ),
    "columns" => array(
	"time" => "WsDateTimeTicks",
	"data" => "/^\d/"
    )
);

$OPTIONS["temp0"] = array_merge($OPTIONS_DB, array(
    "item_table" => array(
                "table" => 'cda.[Wt$ConfigData$TempMonSensors]',
                "id" => "WsName",
                "properties" => array(
                    "name" => "WsDescription",
                    "uid" => "WsName",
                    "axis" => "WsUnit"
                )
)));

$OPTIONS["magnetometer0"] = array_merge($OPTIONS_DB, array(
    "tables" => array(
	"/^Wt\\\$LiveData\\\$(.*)$/" => array(
	    'gid' => '${1}',
	    'title' => '${1}'
	)
    ),
    "groups" => array(
	"/^(.*)$/" => 'mda.[Wt$LiveData\$${1}]'
    ),
    "columns" => array(
	"time" => "WsDateTimeTicks",
	"data" => "/^Ws(Ch)?_/"
    ),
    "axis" => $MAGNET_AXIS_DEFS,
    "mask_table" => array(
        "table" => 'mda.[Wt$ConfigData$Masks]',
        "id" => "WsTID",
        "gid" => "WsTable",
        "properties" => array(
            "name" => "WsName",
            "mask" => "WsChannels"
        )
    ),
    "item_table" => array(
                "table" => 'mda.[Wt$ConfigData$SensorlistRing2]',
                "id" => "name",
                "properties" => array(
                    "name" => "comment",
                    "uid" => "comment",
                )
    )
));

$OPTIONS["mos0"] = array_merge($OPTIONS_DB, array(
    "columns" => array(
	"time" => "WsDateTimeTicks",
	"data" => "/^(MoS|MoU|\d)/"
    )
));

$OPTIONS["cs0"] = array_merge($OPTIONS_DB, array(
    "tables" => array(
	"/^Wv\\\$LiveData\\\$(\d+.*)$/" => array(
	    'gid' => '${1}',
	    'title' => '${1}'
	)
    ),
));

// This is channel spleating 
$OPTIONS["cs0__ControlSystem_rep.20120207"] = array(
    "tables" => array(
        "/^Wv\\\$LiveData\\\$(MonSpec435)$/" => array(
            array(
                'gid' => '${1}@1',
                'title' => '${1}-1'
            ),
            array(
                'gid' => '${1}@2',
                'title' => '${1}-2'
            )
        ),
        "/^Wv\\\$LiveData\\\$(MonSpec.*)$/" => array(
            'gid' => '${1}',
            'title' => '${1}'
        )
    ),
    "groups" => array(
        "/^([^@]*)(@\d)?$/" => '[Wv$LiveData\$${1}]'
    ),
);

$OPTIONS["cs0__ControlSystem_rep.20120207__MonSpec435@1"] = array(
    "columns" => array(
        "time" => "WsDateTimeTicks",
        "data" => "/\/435[A-H]/"
    )
);

$OPTIONS["cs0__ControlSystem_rep.20120207__MonSpec435@2"] = array(
    "columns" => array(
        "time" => "WsDateTimeTicks",
        "data" => "/\/435[I-Z]/"
    )
);


// This is plugin sources 
/*
$OPTIONS["kdb"] = array(
    "date_limit" => "2009-11-00 00:00:00"
);

$SEARCH_ENGINES["KDBSearch"] = array();
*/

$ORCA_AXIS_DEFS = array(
        "/\(C\)/"   => "temperature",
        "/\(nA\)/"  => "current/nano",
        "/\(#\)/"    => "number",
        "/\(V\)/"    => "voltage"
);

$OPTIONS["orca"] = array(
            "groups" => array(
                "/^(.*)$/" => '${1}',
            ),
            "tables" => array(
                "/^(Data_0[\w\d_]+)$/" => array(
                    'gid' => '${1}',
                    'title' => '${1}'
                )
            ),
            "columns" => array(
                "time" => "sec",
               "data" => "/^\d+/" 
            ),
            "timesort" => 1,                                    // 0 - NATURAL, 1 - ASC, -1 - DESC, string whith request
//            "time_module" => "USECTICKS",
            "time_format" => "U",
            "min_resolution" => 10,
            "ignore_subseconds" => true,
            "optimize_empty_cache" => true,
            "use_cache_timewindow" => true,
//          "use_cache_reader" => true,
            "use_md5_postfix" => true,
            "axis" => $ORCA_AXIS_DEFS,
//            "axes_table" => array(
//                "table" => "Axislist",
//                "id" => "id",
//                "properties" => array(
//                    "axis_name" => "comment",
//                    "axis_units" => "unit"
//                )
//            ),
            "item_table" => array(
                "table" => "Sensorlist",
                "id" => "name",
                //"gid" => "group",
                "properties" => array(
                    "uid" => "comment",
                    "name" => "comment",
                    //"axis" => "axis"
                )
            ),
            "data_filters" => array(
                "BADVALUEFilter" => array (
                    "badvalue" => -50
                )
            )
);


?>
