<?xml version="1.0" encoding="utf-8"?>
<!-- $Id: katrinsearch.xsl 6643 2010-03-01 15:41:25Z s_voec01 $ -->
<!-- Author: Sebastian Voecking <sebastian.voecking@uni-muenster.de -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml" version="1.0" encoding="utf-8"/>

<xsl:template match="run">
    <div style="margin:10px 0">
        <div style="font-weight:bold">
            <xsl:element name="a">
                <xsl:attribute name="href">
                    <xsl:text>javascript:katrin.SetCustomProperties('run=</xsl:text>
                    <xsl:value-of select="@identifier"/>
                    <xsl:text>&amp;subruns=0')</xsl:text>
                </xsl:attribute>
                <xsl:text>Run </xsl:text>
                <xsl:value-of select="@identifier"/>
            </xsl:element>
        </div>
        <div style="margin-top:0; font-size:small">
            <xsl:value-of select="@start" /> - <xsl:value-of select="@end" />
        </div>
        <div style="font-size:small; margin:5px 0 5px 2em">
            <xsl:apply-templates select="subrun"/>
        </div>
    </div>
</xsl:template>

<xsl:template match="subrun">
    <div style="margin:5px 0">
        <div style="font-weight:bold">
            <xsl:element name="a">
                <xsl:attribute name="href">
                    <xsl:text>javascript:katrin.SetCustomProperties('run=</xsl:text>
                    <xsl:value-of select="@identifier"/>
                    <xsl:text>')</xsl:text>
                </xsl:attribute>
                <xsl:text>Subrun </xsl:text>
                <xsl:value-of select="@identifier"/>
            </xsl:element>
        </div>
        <div style="margin-top:0; font-size:x-small">
            <xsl:value-of select="@start" /> - <xsl:value-of select="@end" />
        </div>
    </div>
 </xsl:template>

 <xsl:template match="/result">
  <div>
    <xsl:if test="//Error">
	<span class="error"><xsl:value-of select="//Error"/></span>
    </xsl:if>

    <xsl:if test="not(//Error)">
	<h4 style="margin:5px 0">Found runs:</h4>
	<xsl:apply-templates select="run"/>
    </xsl:if>
  </div>
 </xsl:template>
</xsl:stylesheet>
