<?php
$TITLE = "";
$MODULES = array("graph", "wiki");


$EXPORT_FORMATS = array (
	"csv_origin" => array(
	    'title' => "Origin (CSV)",
	    'date_format' => "ymd H:i:s"
	),
	"csv" => array(
	    'title' => "CSV",
	),
	"xls" => array(
	    'title' => "Excel",
	    'handler' => "EXCEL",
	),
	"tdms" => array(
	    'title' => "TDMS",
	    'handler' => "LABVIEW",
	    'type' => "tdms"
	)
);


$READER_DB_TOSKA = array(
	"toska" => array (
	    "title" => _("TOSKA"),
	    "reader" => "DBReader",
	    "driver" => "odbc",
	    "sqldrv" => "mssql",
	    "subdrv" => "FreeTDS",
	    "host" => "itpfmdb1.ka.fzk.de",
	    "port" => 1433,
	    "user" => "souren",
	    "password" => '$souren$',
	    #"database" => array("V_"),
	    "database" => array("V_W7X_CL_S11S12", "V_W7X_CL_S09S10", "V_W7X_CL_S07S08", "V_W7X_CL_S05S06", "V_W7X_CL_S03S04", "V_W7X_CL_S01S02", "V_INTERIM03", "V_INTERIM02", "V_W7X_CL_P01P02_B", "V_INTERIM01", "V_W7X_CL_P01P02", "V_B300_TEST02", "V_B300_TEST01", "V_B250_TEST01", "V_PRETEST"), 
	    "charset" => "ISO8859-1",
	    #"disconnected" => true
	)
);

if (is_array($READER_DB)) $READER_DB = array_merge($READER_DB_TOSKA, $READER_DB);
else $READER_DB = $READER_DB_TOSKA;

$ADEI_AXES = array_merge($ADEI_AXES, array(
	"strain" => array(
	    "axis_units" => _("u/m"),
	    "axis_name" => _("Strain"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
        ),
	"position" => array(
	    "axis_units" => _("mm"),
	    "axis_name" => _("Position"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	),
	"heating" => array(
	    "axis_units" => _("W"),
	    "axis_name" => _("Heating Power"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	),
	"cooling" => array(
	    "axis_units" => _("W"),
	    "axis_name" => _("Thermal Power Loss"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	),
	"kalvin" => array(
	    "axis_units" => _("K"),
	    "axis_name" => _("Temperature"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	),
	"kalvin_delta" => array(
	    "axis_units" => _("K"),
	    "axis_name" => _("Delta Temperature"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	),
	"vacuum" => array(
	    "axis_units" => _("millibar"),
	    "axis_name" => _("Vacuum"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	),
	"pressure_delta" => array(
	    "axis_units" => _("mbar"),
	    "axis_name" => _("Delta Pressure"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	),
	"current_kilo" => array(
	    "axis_units" => _("kA"),
	    "axis_name" => _("Current"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	),
	"voltage_mili" => array(
	    "axis_units" => _("mV"),
	    "axis_name" => _("Voltage"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	),
	"volume-flow" => array(
	    "axis_units" => _("m3/h"),
	    "axis_name" => _("Flow"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	),
	"mass-flow" => array(
	    "axis_units" => _("g/s"),
	    "axis_name" => _("Mass-flow"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	)
    )
);

$AXIS_CURRENT = array(
		"/^Kanal\d+$/" => "voltage",
		"/^ED\d+$/" => "voltage_mili",
		"/^EDI\d+$/" => "voltage",
		"/^EKI?\d+$/" => "voltage_mili",
		"/^EEI\d+$/" => "current_kilo",
		"/^EE\d+$/" => "current_micro",
		"/^FI\d+$/" => "volume-flow",
                "/^FIC(AS?)?\d+$/" => "mass-flow",
		"/^FBIR?\d+$/" => "mass-flow",
		"/^FV\d+_(W|X)$/" => "valve",
		"/^FV\d+_PI$/" => "servo", 
		"/^G\d+$/" => "strain",
		"/^G[DXY]\d+$/" => "position",
		"/^HJI\d+$/" => "heating",
		"/^LI[A]?[Y]?\d+$/" => "level",
		"/^PDIR?\d+$/" => "pressure_delta",
		"/^P(IR|T?IC?AS)\d+$/" => "pressure",
		"/^QMFI\d+$/" => "cooling",
		"/^RH\d+$/" => "relative_humidity",
		"/^R\d+$/" => "resistance",
		"/^SI\d+$/" => "rpm",
		"/^TD(BIRAS)?\d+$/" => "kalvin_delta",
		"/^TF[HM]\d+$/" => "kalvin_rate",
		"/^TI[RC]?(AS?)?\d+$/" => "kalvin",
		"/^LR\d+$/" => "leakage",
		"/^W\d+$/" => "mass"
);

$AXIS1 = array(
		"/^E[DK]I?\d+$/" => "voltage",
		"/^EEI\d+$/" => "current",
		"/^EE\d+$/" => "current_micro",
		"/^F(BIR?|IC?)\d+$/" => "mass-flow",
		"/^G\d+$/" => "strain",
		"/^G[DXY]\d+$/" => "position",
		"/^HJI\d+$/" => "heating",
		"/^PDIR?\d+$/" => "pressure_delta",
		"/^P(IR|T?IC?AS)\d+$/" => "pressure",
		"/^QMFI\d+$/" => "cooling",
		"/^R\d+$/" => "resistance",
		"/^SI\d+$/" => "rpm",
		"/^TDBIRAS\d+$/" => "kalvin_delta",
		"/^TI[RC]?(AS?)?\d+$/" => "kalvin",
		"/^W\d+$/" => "mass"
);

$OPTIONS["toska"] = array(
	    "tables" => array(
		"/^Wv\\\$LiveData\\\$([\w\d_]+)$/" => array(
		    'gid' => 'any_${1}',
		    'title' => '${1}'
		)
	    ),
	    "groups" => array(
		"/^m(\d+)$/" => 'Wv$LiveData$Modul${1}',
		"/^mod_([\w\d_]+)$/" => 'Wv$LiveData$Modul_${1}',
		"/^src_([\w\d_]+)$/" => 'Wv$LiveData\$${1}',
		"/^oth_([\w\d_]+)$/" => 'Wv$LiveData\$${1}',
		"/^any_([\w\d_]+)$/" => 'Wv$LiveData\$${1}',
		"/^sps(\d+)$/" => 'Wv$LiveData$SPSDB${1}',
//		"/^plc$/" => 'Wv$LiveData$Modul_PLC',
//		"/^modul(\d+)$/" => 'mda.Wt$LiveData$ModulTest${1}',
		"/^strom(\d+)$/" => 'Wv$Meda$STROMTEST_SE002$r${1}$ITPFMPXI01$Modul01\$09',
		"/^isoamp(\d+)$/" => 'Wv$Meda$IsoAmp$r${1}$ITPFMPXI02$Modul02\$06'
	    ),
	    "columns" => array(
		"time" => "WsDateTimeTicks",
		"data" => "/^((WsCh_\d+)|([^W.])|(.[^s]))/"
	    ),
	    "axis" => $AXIS_CURRENT,
	    "timezone" => "Europe/Berlin",
	    "time_module" => "MSTICKS",
//	    "time_options" => -36000000000,			// correction
	    "timesort" => 1,					// 0 - NATURAL, 1 - ASC, -1 - DESC, string whith request
	    "date_limit" => "2008-01-01 00:00:00",		//GMT
	    "min_resolution" => 10,
	    "ignore_subseconds" => false,
	    "optimize_empty_cache" => true,
	    "use_cache_timewindow" => true,
//	    "use_cache_reader" => true,
	    "use_md5_postfix" => true,
	    "trace_timings" => false,
	    "channel_uids" => true,
	    "monitor_timings" => array(
		"query_limit" => 500000,		/* us */
		"raise_exception" => true
	    )
);

$OPTIONS["toska__V_PRETEST"] = array(
	    "tables" => array(
		"/^Wv\\\$LiveData\\\$Modul(01|02)$/" => array(
		    'gid' => 'm${1}',
		    'title' => 'Module ${1}'
		),    
		"/^Wv\\\$LiveData\\\$Modul_([\w_\d]+)$/" => array(
		    'gid' => 'mod_${1}',
		    'title' => 'Module ${1}'
		),
		"/^Wv\\\$LiveData\\\$([ET]_[\w\d_]+)$/" => array(
		    'gid' => 'src_${1}',
		    'title' => '${1}'
		),
		"/^Wv\\\$LiveData\\\$(SC)(\d+)$/" => array(
		    'gid' => 'src_${1}${2}',
		    'title' => '${1} ${2}'
		),
		"/^Wv\\\$LiveData\\\$(SC)(\d+)_([\w\d_]+)$/" => array(
		    'gid' => 'src_${1}${2}_${3}',
		    'title' => '${1} ${2} ${3}'
		)
	    ),
	    "axis" => $AXIS1
);

$OPTIONS["toska__V_B250_TEST01"] = array(
	    "tables" => array(
		"/^Wv\\\$LiveData\\\$Modul_([\w_\d]+)$/" => array(
		    'gid' => 'mod_${1}',
		    'title' => 'Module ${1}'
		),
		"/^Wv\\\$LiveData\\\$([E]_[\w\d_]+)$/" => array(
		    'gid' => 'src_${1}',
		    'title' => '${1}'
		),
		"/^Wv\\\$LiveData\\\$(SC)(\d+)$/" => array(
		    'gid' => 'src_${1}${2}',
		    'title' => '${1} ${2}'
		)
	    ),
	    "axis" => $AXIS1
);
$OPTIONS["toska__V_B300_TEST01"] = array(
	    "tables" => array(
		"/^Wv\\\$LiveData\\\$Modul_([\w_\d]+)$/" => array(
		    'gid' => 'mod_${1}',
		    'title' => 'Module ${1}'
		),
		"/^Wv\\\$LiveData\\\$([ET]_[\w\d_]+)$/" => array(
		    'gid' => 'src_${1}',
		    'title' => '${1}'
		),
		"/^Wv\\\$LiveData\\\$(SC)(\d+)$/" => array(
		    'gid' => 'src_${1}${2}',
		    'title' => '${1} ${2}'
		),
		"/^Wv\\\$LiveData\\\$(VIRTUELL)$/" => array(
		    'gid' => 'oth_${1}',
		    'title' => '${1}'
		)
	    ),
	    "axis" => $AXIS1
);


$OPTIONS["toska__V_B300_TEST02"] = array(
            "tables" => array(
                "/^Wv\\\$LiveData\\\$Modul_([\w_\d]+)$/" => array(
                    'gid' => 'mod_${1}',
                    'title' => 'Module ${1}'
                ),
                "/^Wv\\\$LiveData\\\$([ET]_[\w\d_]+)$/" => array(
                    'gid' => 'src_${1}',
                    'title' => '${1}'
                ),
                "/^Wv\\\$LiveData\\\$(SC)(\d+)$/" => array(
                    'gid' => 'src_${1}${2}',
                    'title' => '${1} ${2}'
                ),
                "/^Wv\\\$LiveData\\\$(VIRTUELL)$/" => array(
                    'gid' => 'oth_${1}',
                    'title' => '${1}'
                )
            )
);


$OPTIONS["toska__womisaDB_repl"] = array(
	    "tables" => array(
/*		"/^.*ModulTest(\d+)$/" => array(
		"/^.*ModulTest(10)$/" => array(
		    'gid' => 'modul${1}',
		    'title' => 'Test ${1} Hz'
		),*/
		"/^Wv\\\$LiveData\\\$Modul(02|10|11)$/" => array(
		    'gid' => 'm${1}',
		    'title' => 'Module ${1}'
		),    
		"/^Wv\\\$LiveData\\\$SPSDB(131)$/" => array(
		    'gid' => 'sps${1}',
		    'title' => 'ITP-SPS-DB ${1}'
		),
		"/^Wv\\\$LiveData\\\$Modul_([\w_\d]+)$/" => array(
		    'gid' => 'mod_${1}',
		    'title' => 'Module ${1}'
		),
		"/^Wv.*STROMTEST.*r(012).*$/" => array(
		    'gid' => 'strom${1}',
		    'title' => 'StromTest ${1}'
		),
		"/^Wv.*IsoAmp.*r(001).*$/" => array(
		    'gid' => 'isoamp${1}',
		    'title' => 'ISO AMP ${1}'
		),
		"/^Wv\\\$LiveData\\\$([TE]_\w+)$/" => array(
		    'gid' => 'src_${1}',
		    'title' => '${1}'
		),
		"/^Wv\\\$LiveData\\\$(SC)(\d+)$/" => array(
		    'gid' => 'src_${1}${2}',
		    'title' => '${1} ${2}'
		),
		"/^Wv\\\$LiveData\\\$(SC)(\d+)_([\w\d_]+)$/" => array(
		    'gid' => 'src_${1}${2}_${3}',
		    'title' => '${1} ${2} ${3}'
		),
	    ),
);

$OPTIONS["toska__womisaDB_repl__m01"] = array(
    "date_limit" => "2008-04-09 10:00:00"		//GMT
);

$OPTIONS["toska__womisaDB_repl__mod_PLC"] = array(
    "date_limit" => "2008-06-11 09:00:00"
);

$OPTIONS["toska__womisaDB_repl__modul1000"] = array(
    "min_resolution" => 1,
    "cache_config" => array(
	array("min" => 31536000, "res" => 43200),
	array("min" => 2592000, "res" => 3600),
	array("min" => 604800, "res" => 600),
	array("min" => 86400, "res" => 60),
	array("min" => 7200, "res" => 10),
	array("min" => 600, "res" => 1)
    )
);

$OPTIONS["toska__womisaDB_repl__strom012"] = array(
    "min_resolution" => 1,
    "cache_config" => array(
	array("min" => 31536000, "res" => 43200),
	array("min" => 2592000, "res" => 3600),
	array("min" => 604800, "res" => 600),
	array("min" => 86400, "res" => 60),
	array("min" => 7200, "res" => 10),
	array("min" => 600, "res" => 1)
    )
);


    $ADEI_AXES = array(
	"temperature" => array(
	    "axis_units" => _("C"),
	    "axis_name" => _("Temperature"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	),
	"kalvin" => array(
	    "axis_units" => _("K"),
	    "axis_name" => _("Temperature"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	),
	"kalvin_delta" => array(
	    "axis_units" => _("K"),
	    "axis_name" => _("Temperature Delta"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	),
	"kalvin_rate" => array(
	    "axis_units" => _("K/h"),
	    "axis_name" => _("Temperature Rate"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	),
	"voltage" => array(
	    "axis_units" => _("V"),
	    "axis_name" => _("Voltage"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	),
	"current" => array(
	    "axis_units" => _("A"),
	    "axis_name" => _("Current"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	),
	"current_micro" => array(
	    "axis_units" => _("uA"),
	    "axis_name" => _("Current"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	),
	"resistance" => array(
	    "axis_units" => _("Ohm"),
	    "axis_name" => _("Resistance"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false 
	), 
	"pressure" => array(
	    "axis_units" => _("bar"),
	    "axis_name" => _("Pressure"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	),
	"pressure_delta" => array(
	    "axis_units" => _("mbar"),
	    "axis_name" => _("Delta Pressure"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	),
        "servo" => array(
            "axis_units" => _("bar"),
            "axis_name" => _("Servo pressure"),
            "axis_mode" => "STANDARD",
            "axis_range" => false
        ),
	"valve" => array(
            "axis_units" => _("%"),
            "axis_name" => _("Valve position"),
            "axis_mode" => "STANDARD",
            "axis_range" => false
        ),
	"leakage" => array(
	    "axis_units" => _("mbar * l / sec"),
	    "axis_name" => _("Leakage rate"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	),
	"mass" => array(
	    "axis_units" => _("kg"),
	    "axis_name" => _("Mass"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	),
	"mass-flow" => array(
	    "axis_units" => _("g/s"),
	    "axis_name" => _("Mass-flow"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	),
	"strain" => array(
	    "axis_units" => _("u/m"),
	    "axis_name" => _("Strain"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	),
	"position" => array(
	    "axis_units" => _("mm"),
	    "axis_name" => _("Position"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	),
	"level" => array(
	    "axis_units" => _("cm"),
	    "axis_name" => _("Level"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
  	),
	"heating" => array(
	    "axis_units" => _("W"),
	    "axis_name" => _("Heating Power"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	),
	"cooling" => array(
	    "axis_units" => _("W"),
	    "axis_name" => _("Thermal Power Loss"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	),
	"rpm" => array(
	    "axis_units" => _("rpm"),
	    "axis_name" => _("Round per Minute"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	),
	"relative-humidity" => array(
	    "axis_units" => _("%"),
	    "axis_name" => _("Relative Humidity"),
	    "axis_mode" => "STANDARD",
	    "axis_range" => false
	)
    );

// Enable in release
#    $SOURCE_KEEP_WINDOW = true;

?>
